#include <gtk/gtk.h>

void on_clicked() {
  g_print("Button clicked!");
}


int main(int argc, char *argv[]) {
  gtk_init(&argc, &argv);

  GtkWidget *window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
  gtk_window_set_default_size(GTK_WINDOW(window), 800, 600);
  g_signal_connect(window, "destroy", G_CALLBACK(gtk_main_quit), nullptr);

  GtkWidget *button = gtk_button_new_with_label("Push me!");
  g_signal_connect(button, "clicked", G_CALLBACK(on_clicked), nullptr);

  GtkWidget *fixed = gtk_fixed_new();
  gtk_container_add(GTK_CONTAINER(window), fixed);

  gtk_fixed_put(GTK_FIXED(fixed), button, 150, 50);

  gtk_widget_show_all(window);

  gtk_main();

  return 0;
}
